Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.query
Class QueryImpl.DatastoreQueryExecutor

    java.lang.Object
      |
      +--com.solarmetric.kodo.query.QueryImpl.DatastoreQueryExecutor

All Implemented Interfaces:
  QueryImpl.ParsedExpression, QueryImpl.QueryExecutor

Enclosing class:
  QueryImpl

class QueryImpl.DatastoreQueryExecutor
extends Object
implements QueryImpl.ParsedExpression

The DatastoreQueryExecutor executes the query against the implementation's overridden `executeQuery(java.util.Map)` method.

Constructor Summary
`QueryImpl.DatastoreQueryExecutor(Class candidate)`

Method Summary
`ResultList` | `executeQuery(Map params)`
`Set` | `getAccessPathClasses()` Return a set of `Class` objects that are involved in this query.
`com.solarmetric.kodo.query.Expression` | `getExpression()`
`com.solarmetric.kodo.query.ExpressionFactory` | `getExpressionFactory()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryImpl.DatastoreQueryExecutor

    public QueryImpl.DatastoreQueryExecutor(Class candidate)

Method Detail

### getExpressionFactory

    public com.solarmetric.kodo.query.ExpressionFactory getExpressionFactory()

  Specified by:
    `getExpressionFactory` in interface `QueryImpl.ParsedExpression`

### getExpression

    public com.solarmetric.kodo.query.Expression getExpression()

  Specified by:
    `getExpression` in interface `QueryImpl.ParsedExpression`

### getAccessPathClasses

    public Set getAccessPathClasses()

  Description copied from interface: `QueryImpl.QueryExecutor`
  Return a set of `Class` objects that are involved in this query. This includes the candidate class.
  Specified by:
    `getAccessPathClasses` in interface `QueryImpl.QueryExecutor`

### executeQuery

    public ResultList executeQuery(Map params)

  Specified by:
    `executeQuery` in interface `QueryImpl.QueryExecutor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.